Magick++: Magick::DrawableMatte Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableMatte Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableMatte:
[legend]
Collaboration diagram for Magick::DrawableMatte:
[legend]

## Public Member Functions
| DrawableMatte (double x_, double y_, PaintMethod paintMethod_)
| ~DrawableMatte (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1073 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableMatte::DrawableMatte | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_
| ) |  |
| inline

Definition at line 1076 of file Drawable.h.

Magick::DrawableMatte::~DrawableMatte | ( | void |  | ) |

Definition at line 734 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableMatte::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 741 of file Drawable.cpp.

void Magick::DrawableMatte::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 737 of file Drawable.cpp.

void Magick::DrawableMatte::paintMethod | ( | PaintMethod | paintMethod_ | ) |
| inline

Definition at line 1109 of file Drawable.h.

PaintMethod Magick::DrawableMatte::paintMethod | ( | void |  | ) | const
| inline

Definition at line 1113 of file Drawable.h.

void Magick::DrawableMatte::x | ( | double | x_ | ) |
| inline

Definition at line 1091 of file Drawable.h.

double Magick::DrawableMatte::x | ( | void |  | ) | const
| inline

Definition at line 1095 of file Drawable.h.

void Magick::DrawableMatte::y | ( | double | y_ | ) |
| inline

Definition at line 1100 of file Drawable.h.

double Magick::DrawableMatte::y | ( | void |  | ) | const
| inline

Definition at line 1104 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp